Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.jca
Class JBoss42ActivationBridge

    java.lang.Object
      org.jboss.soa.esb.listeners.jca.JBoss42ActivationBridge

All Implemented Interfaces:
  ActivationBridge

    public class JBoss42ActivationBridge

extends java.lang.Object
implements ActivationBridge

interfaces with JCA to activate an endpoint

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary
`protected static java.lang.String[]` | `activationSig` The signature for activate/deactivateEndpint
`protected static java.lang.String[]` | `createActivationSpecSig` The signature for createActivationSpec

Constructor Summary
`JBoss42ActivationBridge()`

Method Summary
`void` | `activate()`
`void` | `deactivate()` Deactivate
`void` | `setActivationProperties(java.util.Map<java.lang.String,java.lang.String> activationProperties)`
`void` | `setAdapter(java.lang.String adapter)`
`void` | `setMessageEndpointFactory(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory)`
`void` | `setMessagingTypeClass(java.lang.Class messagingTypeClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### createActivationSpecSig

    protected static final java.lang.String[] createActivationSpecSig

  The signature for createActivationSpec

### activationSig

    protected static final java.lang.String[] activationSig

  The signature for activate/deactivateEndpint

Constructor Detail

### JBoss42ActivationBridge

    public JBoss42ActivationBridge()

Method Detail

### setAdapter

    public void setAdapter(java.lang.String adapter)

  Specified by:
    `setAdapter` in interface `ActivationBridge`

### setMessagingTypeClass

    public void setMessagingTypeClass(java.lang.Class messagingTypeClass)

  Specified by:
    `setMessagingTypeClass` in interface `ActivationBridge`

### setMessageEndpointFactory

    public void setMessageEndpointFactory(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory)

  Specified by:
    `setMessageEndpointFactory` in interface `ActivationBridge`

### setActivationProperties

    public void setActivationProperties(java.util.Map<java.lang.String,java.lang.String> activationProperties)

  Specified by:
    `setActivationProperties` in interface `ActivationBridge`

### activate

    public void activate()

  Specified by:
    `activate` in interface `ActivationBridge`

### deactivate

    public void deactivate()

  Deactivate

  Specified by:
    `deactivate` in interface `ActivationBridge`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD